<?php  session_start(); error_reporting(0); ?>
<?php if(!isset($_SESSION['j_admin']) && !isset($_SESSION['j_admin'])){ 
    $url = urlencode("http://$_SERVER[HTTP_HOST]$_SERVER[REQUEST_URI]"); header('location:../login/?url='.$url.'');  
} ?>
<!doctype html>
<html lang="en"> 
<head>
	<?php
    require_once("../j_conn/url.php");
    require_once("../j_conn/dbc.php");
    require_once("../j_incs/functions.php");
    $page_name="My Withdrawals";
    $page_desc="$page_name";
    $page_img="".$dir."j_files/j_img/logo/logo-meta.png";
    $page_author="$company";
    $page_keywords="".$company.", $page_name, $page_desc, ".$company_motto.", $company_desc";
    $page_url="".$dir."withdrawals/";
    require_once("../j_incs/metas.php");
    require_once("../j_incs/scripts-top.php");
    ?>
</head>
<body>
    <div class="app">
        <div class="layout">
            <?php 
            require_once("../j_incs/header.php");
            require_once("../j_incs/nav.php");
            ?>
            <!-- Page Container START -->
            <div class="page-container">
                

                <!-- Content Wrapper START -->
                <div class="main-content">
                    <div class="container-fluid">
                        <div class="row">
                            <div class="col-md-2"></div>
                            <div class="col-md-8">
                                <div class="page-header">
									<div class="header-sub-title">
										<nav class="breadcrumb breadcrumb-dash">
											<a href="<?php echo $dir; ?>" class="breadcrumb-item"><i class="anticon anticon-dashboard m-r-5"></i>Dashboard</a>
											<!--<a class="breadcrumb-item" href="#"> </a>-->
											<span class="breadcrumb-item active"><?php echo $page_name; ?></span>
										</nav>
									</div>
								</div>
                            </div>
                        </div>
                    </div>
					<div class="container-fluid">
						<div class="row">
							<div class="col-md-2"></div>
							<div class="col-md-8">
								
								
								
								<div class="accordion" id="accordion-default4"> <!--verify action-->
									<div class="card">
										<div class="card-header">
											<h5 class="card-title">
												<a data-toggle="collapse" href="#acc_4">
													<span><?php echo $page_name; ?></span>
												</a>
											</h5>
										</div>
										<div id="acc_4" class="collapse show" data-parent="#accordion-default4">
											<div class="card-body">
												
												
												<?php 
												$limit =50;
												$offset = RMC($_GET['m']);
												if($offset<1){
													$offset = 0;
													$num = 1;
												}else{
													$num=$offset+1;
												}
												//count all
												
												$sql4="SELECT * from j_pays WHERE j_deleted < 1 AND j_kind='WITHDRAW' order by j_id desc"; //check 
												
												$result4 = runSQL($sql4);
												$total = mysqli_num_rows($result4);
												//
												
												$sql4="SELECT * from j_pays WHERE j_deleted < 1 AND j_kind='WITHDRAW' order by j_id desc limit $limit offset $offset"; //check 
												$result4 = runSQL($sql4);
												$count = mysqli_num_rows($result4);
												if($count<1){
												?>
												
												<p align="center">
													<img src="<?php echo $dir; ?>j_files/j_img/icons/empty-1.svg"/><br/>
													No transaction found.
												</p>

												<p class="text_sm_gray text-center">
													As you make withdrawals, all will be reported here.
												</p>
												<?php }else{ ?>
												
												<a class="app_btn" href="javascript:void(0)" id="searchAnything"> 
													Search
												</a>
												
												<a class="app_btn bg-danger" href="javascript:void(0)" id="hide_searchAnything" style="display:none;"> 
													Hide Search
												</a>
												
												<div class="m-b-20"></div>
												
											

												<div id="my_saearch" style="display:none;">
													 <form method="POST" action="" id="form" enctype="multipart/form-data">
														 <div class="form-row">
															<div class="form-group col-md-6">
																  <div class="input-affix m-b-2">
																	 <input autocomplete="off" type="text" placeholder="Search" class="form-control rMe" name="search"/>
																 </div>
															</div>


															<div class="form-group col-md-3">
																  <div class="input-affix m-b-2">
																		<button id="submit"  name="submit" class="btn btn-primary btn-block">Search</button>
																 </div>
															</div>
														</div>
													 </form>
													<div id="formresult"></div>
												</div>
												<div id="my-content">
												<?php
												while ($row = mysqli_fetch_array($result4)){
													$cd = get_cd($row['j_currency']);
													$currency_in_use = $cd[0];
													$currency_code_in_use = $cd[1];
													$currency_sort_in_use = $cd[2];
													//
													//user profile
													$sql25="SELECT * from j_users WHERE 
													j_id='".$row['j_user_id']."'"; //  
													$result25 = runSQL($sql25);
													$data25 = mysqli_fetch_array($result25);
													$a_username = $data25['j_username'];
													$a_passport = $data25['j_passport'];
													$a_email = $data25['j_email'];
													$a_phone = $data25['j_phone'];
													$a_firstname = $data25['j_firstname'];
													$a_lastname = $data25['j_lastname'];
													$a_name = "$a_firstname $a_lastname"; $a_name = trim($a_name);
													//
												?>
												<a title="<?php echo amount_w_c($row['j_amount'],$row['j_currency']); ?>" href="<?php echo $dir; ?>receipt?ref=<?php echo $row['j_transact_id']; ?>">
													<div class="t_box <?php if($row['j_type']=='debit'){ echo 'danger';}else{ 
													if($row['j_paid'] > 0){ echo 'success'; }else{ echo '';} } ?>">
													   <div class="date">
														   <i class="anticon anticon-clock-circle"></i> <?php echo time_ago($row['j_date']); ?>
														</div>
														<div class="amount">
															<?php echo amount_w_c($row['j_amount'],$row['j_currency']); ?>  
														</div>
														<div class="desc">
															<?php echo $row['j_desc'];
															if(isset($_SESSION['j_admin'])){
															?> 
															<br/>
															<?php echo $a_name; } ?>
														</div>
													</div>
												</a>
												<?php } ?>
												</div>
												<p align="center">
													<?php if($offset+$limit < $total){ ?>
													<a class="app_btn m-b-10" href="?m=<?php echo $offset+$limit; ?>"> Next<i class="fas fa-chevron-right text-2 ml-2"></i></a>
													<?php } ?>
													&nbsp; &nbsp;
													<?php if($offset > 0){ ?>
													<a class="app_btn bg-danger  m-b-10" href="?m=<?php echo $offset-$limit; ?>"><i class="fas fa-chevron-left text-2 ml-2"></i>  Previous</a>
													<?php } ?>
												</p>
												
												<?php } ?>
												
												
											</div>
										</div>
									</div>
								</div>
								
							   
							</div>
						</div>
					</div>
					
					<div class="m-b-100"></div>
        
				</div>
			</div>
		</div>
    </div>
    <?php 
    require_once("../j_incs/footer.php"); 
    require_once("../j_incs/scripts-bottom.php"); 
    ?>
    <script>
    $("#searchAnything").click(function(){
        $(this).hide();
        $("#my-content").hide();
        $("#my_saearch").slideDown("slow");
        $("#hide_searchAnything").slideDown("slow");
    });
    $("#hide_searchAnything").click(function(){
        $(this).hide();
        $("#my-content").show();
        $("#my_saearch").slideUp("slow");
         $("#searchAnything").slideDown("slow");
    });
        
    var form = "#form";
    var button = "#submit";
    var button_val = $(button).html();
    var result = "#formresult";
    $(form).on('submit',(function(e) {
    e.preventDefault();
    $(button).attr('disabled', '');
    $(button).html("<i class='anticon anticon-loading'></i> Processing");
    $(result).html("<div class='alert alert-warning'> Taking too long? <a href=''>Reload </a></div>");
     $.ajax({
    url: "save.php",
    type: "POST",
    data: new FormData(this),
    contentType: false,
    cache: false,
    processData:false,
    success: function(data)
    {
    if(data){
     $(button).removeAttr('disabled');
    $(button).html(button_val);
    $(result).html(data);
    }else{
    $(result).html("Error occurred.");
    $(button).removeAttr('disabled');
    $(button).html(button_val);
    }
    }
    });
    }));
    </script>
</body>
</html>